Subject: Re: bug#19482: Changing to big font cause display problem

From: "Jan D." <[email-masked]>
Date: Fri, 27 Feb 2015 21:29:29 +0100

Hi. 

> 27 feb 2015 kl. 20:49 skrev martin rudalics <[email-masked]>:
> 
> >> (1) `x-frame-geometry' reports an external border width of zero for a
> >>     normal, non-maximized frame.  That's clearly wrong, the width is 5
> >>     pixels.  I have no idea how to track down what XGetWindowAttributes
> >>     retrieves here.
> >
> > As I said in another mail, this is probably the window manager decorations, not a window border.  5 pixels is a large window border, but a reasonable window manager decoration.
> > However, I added the window manager window border to the calculations, but I suspect it is 0 all the time.
> > In theory it could be something else.
> 
> In my book the border is that thing I have to drag in order to resize a
> window with the mouse.  Is that wrong?  Does that mean that the border
> reported by XGetWindowAttributes is not the same as the border reported
> by XGetGeometry?  In this case we should probably not ignore the eight
> argument of the latter.

The thing you drag to resize is not the X11 window border, it is a decoration drawn by the window manager in the window manager window. The border from XGetGeometry is the same as the one in XGetWindowAttributes.

     Jan D.